---
title: "Get store operation log count"
description: >
  Get the store operation log count within a specific time range. You can filter by timestamp, resource type, and event type.
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/store/get-store-operation-log-count'
  md: 'https://developer.shopline.com/docs/admin-rest-api/store/get-store-operation-log-count.md'
---
# Get store operation log count

Get the store operation log count within a specific time range. You can filter by timestamp, resource type, and event type.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_store_log`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /store/operation_logs/count.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_store_log`

## Request

### Query Parameters

* `created_at_max`

  string (required)

  Specify the cutoff creation date and time for operation logs to query. Operation logs created on or before this date are returned. Format: [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601).
  <br></br>Example: `2023-04-12T22:59:52+08:00`.

* `created_at_min`

  string (required)

  Specify the initial creation date and time for operation logs to query. Operation logs created on or after this date are returned. Format: [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601).
  <br></br>Example: `2023-04-12T22:59:52+08:00`.

* `subject_type`

  string (optional)

  Resource type. Valid values are:
  - `inventory`: Inventory
  - `collections`: Collections
  - `products`: Products
  - `domain_management`: Domain management
  - `checkout_settings`: Checkout
  - `payment_settings`: Payment
  - `basic_settings`: Basic information
  - `administrator_roles_and_permissions`: Administrators and permissions
  - `plan`: Plans
  - `customer_account_settings`: Customer settings
  - `notification_settings`: Notification settings
  - `store_design`: Store design
  - `pages`: Pages
  - `navigation`: Navigation
  - `blog`: Blog
  - `orders`: Orders
  - `draft_order`: Draft order
  - `abandoned_checkouts`: Abandoned checkouts
  - `automatic_discounts`: Automatic discounts
  - `discount_codes`: Discount codes
  - `customers`: Customers
  - `home`: Home
  - `one_page_store`: One page store
  - `store_management_list`: Store management list
  - `language`: Edit default language

* `verb`

  string (optional)

  Event type. The range of valid values depends on `subject_type`. For example, if the operation is creating a new product, `subject_type` will be `products` and `verb` will be `add_new_product`. Refer to [verb](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/verb.md) for the valid values and mapping between `verb` and `subject_type`.

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `data`

  object

  Response body.

  * `count`

    long

    Operation log count.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get store operation log count"
  ],
  "description": "Get the store operation log count within a specific time range. You can filter by timestamp, resource type, and event type.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_store_log` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "XgJHy1qU",
  "parameters": [
    {
      "name": "created_at_max",
      "in": "query",
      "description": "Specify the cutoff creation date and time for operation logs to query. Operation logs created on or before this date are returned. Format: [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601).\n<br></br>Example: `2023-04-12T22:59:52+08:00`.",
      "required": true,
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_max",
        "description": "Specify the cutoff creation date and time for operation logs to query. Operation logs created on or before this date are returned. Format: [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601).\n<br></br>Example: `2023-04-12T22:59:52+08:00`.",
        "type": "string"
      },
      "examples": {
        "Get the store operation log count within a time range": {
          "value": "2024-08-31T10:00:00+08:00"
        }
      }
    },
    {
      "name": "created_at_min",
      "in": "query",
      "description": "Specify the initial creation date and time for operation logs to query. Operation logs created on or after this date are returned. Format: [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601).\n<br></br>Example: `2023-04-12T22:59:52+08:00`.",
      "required": true,
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_min",
        "description": "Specify the initial creation date and time for operation logs to query. Operation logs created on or after this date are returned. Format: [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601).\n<br></br>Example: `2023-04-12T22:59:52+08:00`.",
        "type": "string"
      },
      "examples": {
        "Get the store operation log count within a time range": {
          "value": "2024-08-01T10:00:00+08:00"
        }
      }
    },
    {
      "name": "subject_type",
      "in": "query",
      "description": "Resource type. Valid values are:\n- `inventory`: Inventory\n- `collections`: Collections\n- `products`: Products\n- `domain_management`: Domain management\n- `checkout_settings`: Checkout\n- `payment_settings`: Payment\n- `basic_settings`: Basic information\n- `administrator_roles_and_permissions`: Administrators and permissions\n- `plan`: Plans\n- `customer_account_settings`: Customer settings\n- `notification_settings`: Notification settings\n- `store_design`: Store design\n- `pages`: Pages\n- `navigation`: Navigation\n- `blog`: Blog\n- `orders`: Orders\n- `draft_order`: Draft order\n- `abandoned_checkouts`: Abandoned checkouts\n- `automatic_discounts`: Automatic discounts\n- `discount_codes`: Discount codes\n- `customers`: Customers\n- `home`: Home\n- `one_page_store`: One page store\n- `store_management_list`: Store management list\n- `language`: Edit default language",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "subject_type",
        "description": "Resource type. Valid values are:\n- `inventory`: Inventory\n- `collections`: Collections\n- `products`: Products\n- `domain_management`: Domain management\n- `checkout_settings`: Checkout\n- `payment_settings`: Payment\n- `basic_settings`: Basic information\n- `administrator_roles_and_permissions`: Administrators and permissions\n- `plan`: Plans\n- `customer_account_settings`: Customer settings\n- `notification_settings`: Notification settings\n- `store_design`: Store design\n- `pages`: Pages\n- `navigation`: Navigation\n- `blog`: Blog\n- `orders`: Orders\n- `draft_order`: Draft order\n- `abandoned_checkouts`: Abandoned checkouts\n- `automatic_discounts`: Automatic discounts\n- `discount_codes`: Discount codes\n- `customers`: Customers\n- `home`: Home\n- `one_page_store`: One page store\n- `store_management_list`: Store management list\n- `language`: Edit default language",
        "type": "string"
      },
      "examples": {
        "Get the store operation log count within a time range": {
          "value": "products"
        }
      }
    },
    {
      "name": "verb",
      "in": "query",
      "description": "Event type. The range of valid values depends on `subject_type`. For example, if the operation is creating a new product, `subject_type` will be `products` and `verb` will be `add_new_product`. Refer to [verb](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/verb.md) for the valid values and mapping between `verb` and `subject_type`.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "verb",
        "description": "Event type. The range of valid values depends on `subject_type`. For example, if the operation is creating a new product, `subject_type` will be `products` and `verb` will be `add_new_product`. Refer to [verb](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/verb.md) for the valid values and mapping between `verb` and `subject_type`.",
        "type": "string"
      },
      "examples": {
        "Get the store operation log count within a time range": {
          "value": "add_new_product"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "Response body.",
                "type": "object",
                "properties": {
                  "count": {
                    "name": "count",
                    "description": "Operation log count.",
                    "type": "long"
                  }
                },
                "example": {
                  "count": null
                }
              }
            },
            "example": {
              "data": {
                "count": null
              }
            }
          },
          "examples": {
            "Get the store operation log count within a time range": {
              "description": "Get store operation log count within a time range.",
              "value": {
                "data": {
                  "count": 2
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/store/operation_logs/count.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get store operation log count",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_store_log"
  ]
}
```